# SingleEntryModuleLibrary

open class SingleEntryModuleLibrary : ModuleLibrary

Single entry module library

## Constructors

SingleEntryModuleLibrary
Link copied to clipboard
constructor(library: FilePath, javadoc: Set<FilePath>, source: Set<FilePath>, scope: String)
Creates single entry module library
constructor(library: FilePath, @Nullable javadoc: @Nullable FilePath, @Nullable source: @Nullable FilePath, scope: String)
Creates single entry module library
constructor(library: FilePath, scope: String)
Creates single entry module library

## Properties

classes
Link copied to clipboard
open var classes: Set<Path>
jarDirectories
Link copied to clipboard
open var jarDirectories: Set<JarDirectory>
javadoc
Link copied to clipboard
open var javadoc: Set<Path>
moduleVersion
Link copied to clipboard
@get:Nullable
open var moduleVersion: ModuleVersionIdentifier
scope
Link copied to clipboard
open var scope: String
sources
Link copied to clipboard
open var sources: Set<Path>

## Functions

addToNode
Link copied to clipboard
open fun addToNode(parentNode: Node)
equals
Link copied to clipboard
open fun equals(o: Any): Boolean
getJavadocFile
Link copied to clipboard
open fun getJavadocFile(): File
Returns a single javadoc jar or javadoc folder
getLibraryFile
Link copied to clipboard
open fun getLibraryFile(): File
Returns a single jar or class folder
getSourceFile
Link copied to clipboard
open fun getSourceFile(): File
Returns a single source jar or source folder
hashCode
Link copied to clipboard
open fun hashCode(): Int
isExported
Link copied to clipboard
open fun isExported(): Boolean
setExported
Link copied to clipboard
open fun setExported(exported: Boolean)
toString
Link copied to clipboard
open fun toString(): String